---
---
--- Localization file for QuestClicks
---
---

-- Update History : 
-- V1.09 - French Translation provided by Laumac

-- How this works:
-- QuestClicks localization uses two tables and a function.  The QCStrings table contains
-- the english and the translated strings for each string used in QuestClicks.  The QCLocales
-- table holds the locales and their translation numbers.
--
-- If the QCLocales value for a locale is 0 (zero) the passed in message will be returned
-- unmodified (meaning either the client is enUS, or the locale does not currently have a 
-- translation set.
--
-- If the QCLocales value is greater than 0, it is used as an index into the QCStrings subtables
-- to identify the correct translation.  So, for example, French is translation #1, so the first value
-- in each string's translation table is the French translation.

local QCLocales = {   
  ["enUS"] = 0,
  ["enGB"] = 0,
  ["frFR"] = 1,
  ["deDE"] = 0,
  ["koKR"] = 0,
  ["zhTW"] = 0,
  ["zhCN"] = 0,
  ["ruRU"] = 0,
  ["esES"] = 0,
  ["exMX"] = 0
}

-- Format:
-- ["English String"] = { 
--  "French String", 
--  "Language 2 String", 
--  "Language 3 string" ,
--  etc,etc,etc 
-- }
-- (Note that only the French translation exists at this time.

local QCStrings = {
  ["Quest"] = { 
    "Qu\195\170te" 
  },
  ["Additions"] = { 
    "Additionables" 
  },
  ["Combines"] = { 
    "Combinables" 
  },
  ["Trades"] = { 
    "Vendables" 
  },
  ["Prospecting"] = { 
    "Prospection" 
  },
  ["Tailoring"] = { 
    "Couture" 
  },
  ["Keys"] = {
    "Cl\195\169s"
  },
  ["Milling"] = {
   "Mouture"
  },
  
  ["Addon is now Enabled"] = { 
    "L'addon est maintenant activ\195\169" 
  },
  ["Addon is now Disabled"] = { 
    "L'addon est maintenant d\195\169sactiv\195\169" 
  },
  ["Grow Direction now set to "] = { 
    "La direction de d\195\169ploiement est maintenant r\195\169gl\195\169e sur " 
  },
  ["Adding Item : "] = { 
    "Ajout de l'objet : " 
  },
  [" to exclude list."] = { 
    " \195\160 la liste d'exclusion." 
  },
  ["Removing Item : "] = { 
    "Objet retir\195\169 : " 
  },
  [" from exclude list."] = { 
    " depuis la liste d'exclusion." 
  },
  ["Adding Item : "] = { 
    "Ajout de l'objet : " 
  },
  [" to inclusion list."] = { 
    " \195\160 la liste d'inclusion." 
  },
  ["Removing Item : "] = { 
    "Objet retir\195\169 : " 
  },
  [" from inclusion list."] = { 
    " depuis la liste d'inclusion." 
  },
  ["Bar locking is "] = { 
    "Le blocage de la barre est " 
  },
  ["Buttons for Collapsabale Items is "] = { 
    "Les boutons pour la compression des objets est " 
  },
  ["Anchor Frame now Hidden"] = { 
    "L'ancrage est maintenant cach\195\169" 
  },
  ["Anchor Frame now Shown"] = { 
    "L'ancrage est maintenant affich\195\169" 
  },
  ["Exclusion list cleared."] = { 
    "Liste des exclusion purg\195\169e." 
  },
  ["Extra list cleared."] = { 
    "Liste des extras purg\195\169e." 
  },
  ["Extra item : "] = { 
    "Objet extra : " 
  },
  ["Extra list is empty."] = { 
    "La liste des extras est vide." 
  },
  ["Excluding item : "] = { 
    "Objet exclu : " 
  },
  ["Exclusion list is empty."] = { 
    "La liste des exclusions est vide." 
  },
  ["Location reset to screen center."] = { 
    "La position de l'ancrage est r\195\169initialis\195\169 au centre de l'\195\169cran." 
  },
  ["Addon is "] = { 
    "L'addon est " 
  },
  ["Grow Direction is "] = { 
    "La direction de d\195\169ploiement est " 
  },
  ["Button Scale is "] = { 
    "La taille des boutons est " 
  },
  ["Show Collapsible Items is "] = { 
    "L'affichage des objets compressibles est " 
  },

  ["QuestClicks Configuration Options"] = { 
    "Options de configuration de QuestClicks" 
  },
  ["Enable QuestClicks"] = { 
    "Activer QuestClicks" 
  },
  ["Enable or Disable the QuestClicks addon"] = { 
    "Activer ou d\195\169sactiver l'addon QuestClicks" 
  },
  ["Lock Position"] = { "Bloquer le d\195\169placement" },
  ["When locked, the QuestClicks bar cannot be moved."] = { 
    "Une fois bloqu\195\169e, la barre de QuestClicks ne peut plus bouger." 
  },
  ["Hide Anchor Frame"] = { "Cacher l'ancrage" },
  ["When checked, the title/anchor frame (displays 'Clicks') is hidden."] = { 
    "Si activ\195\169, le titre/ancrage de la barre (qui affiche un 'Clicks') sera cach\195\169." 
  },
  ["Button Growth Direction:"] = { 
    "Direction de d\195\169ploiement:" 
  },
  ["Quest Starter Alert"] = {
    "Alerte de lanceur de qu\195\170te"
  },
  ["When checked, displays an alert message when you loot an item that begins a quest."] = {
    "Une fois coch\195\169e, montre un message d'alerte quand vous r\195\169cup\195\169rez un objet qui lance une qu\195\170te"
  },
  ["Button Padding"] = {
    "Espacement des boutons"
  },
  ["UP"] = { 
    "HAUT" 
  },
  ["up"] = { 
    "haut" 
  },
  ["DOWN"] = { 
    "BAS" 
  },
  ["down"] = { 
    "bas" 
  },
  ["LEFT"] = { 
    "GAUCHE" 
  },
  ["left"] = { 
    "gauche" 
  },
  ["RIGHT"] = { 
    "DROITE" 
  },
  ["right"] = { 
    "droite" 
  },
  ["Button Scale"] = { 
    "Taille des boutons" 
  },
  ["List Management:"] = { 
    "Gestion des listes:" 
  },
  ["List all items in the Excludes list"] = { 
    "Lister tous les objets de la liste d'exclusion" 
  },
  ["Excludes"] = { 
    "Exclusions" 
  },
  ["Remove all items from the Excludes List"] = { 
    "Supprimer tous les objets de la liste d'exclusion" 
  },
  ["Clear Excludes"] = { 
    "Purger exclusions" 
  },
  ["List all items in the Extras list"] = { 
    "Lister tous les objets de la liste d'extras" 
  },
  ["Extras"] = { 
    "Extras" 
  },
  ["Remove all items from the Extras List"] = { 
    "Supprimer tous les objets de la liste d'extras" 
  },
  ["Clear Extras"] = { 
    "Purger extras" 
  },
  ["Display conditional buttons for:" ] = { 
    "Afficher les boutons des conditions:" 
  },
  ["Reset Position"] = {
    "r\195\169initialiser position"
  },
  ["QuestClicks: Click to Mill/Prospect this item"] = {
   "QuestClicks: Cliquer pour Broyer/Prospecter cet objet"
  },
  ["Reset Anchor Position"] = {
   "r\195\169initialiser la position de l'ancrage"
  },
  ["Use:"] = {
    "Utiliser :"
  },
  ["Drop an item here to add to the Exclusion list"] = {
    "D\195\169poser un objet ici pour l'ajouter \195\160 la liste d'exclusion"
  },
  ["Drop an item here to remove it from the Exclusion list"] = {
    "D\195\169poser un objet ici pour le supprimer de la liste d'exclusion"
  },
  ["List"] = {
    "Liste"
  },
  ["Clear"] = {
    "Effacer"
  },
  ["Drop an item here to add to the Extras list"] = {
    "D\195\169poser un objet ici pour l'ajouter \195\160 la liste d'extras"
  },
  ["Drop an item here to remove it from the Extras list"] = {
    "D\195\169poser un objet ici pour le supprimer de la liste d'extras"
  },
  ["You must have an item on your cursor when clicking this button."] = {
    "Vous devez avoir un objet sur votre curseur quand vous cliquez sur ce bouton."
  }
}

function QuestClicks_GetLocalizedString(msg)
  if QCLocales[GetLocale()] then
    if QCLocales[GetLocale()] == 0 then
	  return msg
	else
      if QCStrings[msg] then
	    return QCStrings[msg][QCLocales[GetLocale()]]
      else
        return msg
      end
	end
  else
    return msg
  end
end